var divHeight = ""; // 查询面板高度
var dataGridHeight = "";
var ccWidth = "";
var ccHeight = "";
var bodyH = 0;
/**
 * 初始化
 */
$(function() {

	$("#parentName").attr("disabled", "disabled");
	$("#unitnum").attr("disabled", "disabled");
	$("#name").attr("disabled", "disabled");
	$("#unitType").attr("disabled", "disabled");
	$("#phone").attr("disabled", "disabled");
	$("#address").attr("disabled", "disabled");
	$("#description").attr("disabled", "disabled");
	$("#orderNum").attr("disabled", "disabled");
	
	
	bodyH = document.documentElement.clientHeight;
	$("#addOrgWinId").window('close');
	$("#addUserWinId").window('close');
	divHeight = $("#orgDivID").height();
	ccWidth = $("#cc").width();
	ccHeight = $("#cc").height();
	dataGridHeight = divHeight + 27; 
	initData();
	
	$("#userNameId").combobox({
		url : '/admin/user/getUsersList',
		valueField:'id',
	    textField:'text'
	})
	 
});
 
function initData() {
	// 初始化菜单树
	$('#tt').tree({
		url : '/admin/org/getLeftTree',
//		state : 'closed',
		onLoadSuccess : function(node, data) {
			// 加载成功后选中根节点
			$('#tt').tree('select', $('#tt').tree('getRoot').target);
			url = '/admin/org/queryOrgById?orgId=' + data[0].id;
			$.post(url, function(bo) {
				$('#right').form('load', bo);
			}, 'json');
//			if(true){ //默认关闭所有节点
//				var root = $("#tt").tree("getRoot");
//				$("#tt").tree("collapseAll",root.target);
//			}
		},
		onBeforeExpand : function(node, param) {
		},
		 
		onClick : function(node) {
			url = '/admin/org/queryOrgById?orgId=' + node.id;
			$.post(url, function(bo) {
				$('#right').form('load', bo);
			}, 'json');
			initUserList(node.id); //加载机构下面所有用户信息
		}
	});
}

var orgId;
var orgName;
var operate;

/**
 * 描述：增加机构信息
 */
function openAddWin() {
	operate = "add";
	var row = $('#tt').tree('getSelected');
	if (row != null) {
		$("#addOrgWinId").window({
			title : '新增机构信息',
			width : 900,
			height : 300,
			left : (ccWidth - 900) / 2,
			top : 27,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : true, // 是否显示最小化按钮
			maximizable : true, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true
		});
		$("#addOrgForm").form('clear');
		$("#addOrgWinId").window('open');
		$("#parentNameId02").textbox('setValue',row.text);
	} else {
		$.messager.alert('提示', "请选择上级菜单", 'error');
		return;
	}
}

// 保存
function saveData() {
	var row = $('#tt').tree('getSelected');
	$("#addOrgForm").form('submit', {
		url : '/admin/org/addOrUpdateOrgInfo?orgId=' + row.id + "&orgName=" + encodeURI(encodeURI(row.text))+"&operate="+operate,
		onSubmit: function(){
			return $(this).form('validate');
		},
		success: function(data){
			var data = eval("("+data+")");
			if (data.flag){
				$.messager.alert('提示', data.info, 'ok');
				initData();
			} else {
				$.messager.alert("提示",data.info,'error');
			}
		}
	});
}

// 修改
function editOrg() {
	operate = "edit";
	var row = $('#tt').tree('getSelected');
	if (row != null) {
		$.getJSON(url = '/admin/org/queryOrgById?orgId=' + row.id+"&operate="+operate, function(data) {
			$("#addOrgForm").form('load', data);
		});
		$("#addOrgWinId").window({
			title : '修改机构信息',
			width : 900,
			height : 300,
			left : (ccWidth - 900) / 2,
			top : 27,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : true, // 是否显示最小化按钮
			maximizable : true, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true
		});
		$("#addOrgWinId").window('open');
	} else {
		$.messager.alert('提示', '请选中一条记录', 'info');
		// $.调用jquery自己的内置对象
	}
}
// 删除
function delOrg() {
	var row = $('#tt').tree('getSelected');
	if (row != null) {
		orgId = row.id;
		$.getJSON("/admin/org/isExistNext?orgId=" + orgId, function(obj) {
			if(obj.flag) {
				$.messager.confirm("删除", "确定删除？", function(r) {
					if (r) {
						var postUrl = '/admin/org/deleteOrg';
						$.post(postUrl, {
							"ids" : orgId
						}, function(result) {
							if (result.flag) {
								$.messager.alert('提示', '数据删除成功！', 'info');
								initData();
							} else {
								$.messager.alert('提示', '数据删除失败！', 'info');
								initData();
							}
						}, 'json');
					}
				});
			} else {
				$.messager.alert('提示', obj.info, 'info');
			}
		});
	} else {
		$.messager.alert('提示', '请选中一条记录', 'info');
		// $.调用jquery自己的内置对象
	}
}

/**
 * id数组转换为json字符串
 */
function arrayTojson(arr) {
	var jsonIds = "[";
	for (var i = 0; i < arr.length; i++) {
		if (i == arr.length - 1) {
			jsonIds += arr[i].id;
		} else {
			jsonIds += arr[i].id + ",";
		}
	}
	jsonIds += "]";

	return jsonIds;
}

/**
 * 描述：加载数据
 */
function loadData(infoId) {

	$.getJSON("queryById.do?id=" + infoId, {}, function(jso) {
		putValue(jso);
	});
}

/**
 * 描述：显示数据
 * 
 * @param obj
 *            数据
 */
function putValue(obj) {
	$("#newsTitleId2").text(obj.newsTitle);
	$("#newsAbstractId2").text(obj.newsAbstract);
	$("#standby1Id2").text(obj.standby1);
	$("#newsTypeId2").text(obj.newsType);
	$("#industryId2").text(obj.industry);
	$("#auditStatusId").text(obj.auditStatus);
	$("#releaseDateId2").text(obj.releaseDate);
	$("#promulgatorId2").text(obj.promulgator);
	$("#startDateId2").text(obj.startDate);
	$("#endDateId2").text(obj.endDate);
	$("#hostCityId2").text(obj.hostCity);

}


function initUserList(orgId){
	$("#userListTable").datagrid({
		height: bodyH - divHeight,
		nowrap : true,
		striped : true,
		pagination : true,
		singleSelect : true, 
		rownumbers : true,
		pageSize : 15,
		autoRowHeight: false, 
		fitColumns : true, // 允许表格自动缩放，以适应父容器
		url : '/admin/org/getOrgUserByOrdId?orgId='+orgId,
		columns:[[{ 
			field:'1ck',
			title:'id',
			width:15,
			checkbox:true
		},{
			field:'username',
			title:'用户名称',
			align:'center',
			formatter : dataStyle,
			width:50,
			sortable:true
		},{
			field:'loginName',
			title:'登录账号',
			width:70,
			align:'center'
		},{
			field:'userType',
			title:'用户类型',
			width:40,
			align:'center'
		},{
			field:'userRole',
			title:'用户角色',
			width:270,
			align:'left',
			headalign : 'center'
		}]] ,
		onLoadSuccess:function(data){
	    	$('#userListTable').datagrid('clearSelections'); 
	    }
	})
}


function dataStyle(val,row){
	return '<a class="" href="#" onclick="viewUser(\''+row.id+'\')">'+row.username+'</a>';
}
/**
 * 打开添加用户窗口
 */
function openAddWin1(){
	var row = $('#tt').tree('getSelected');
	$("#addUserWinId").window({
		title : '添加用户',
		width : 900,
		height : 300,
		left : (ccWidth - 900) / 2,
		top : 27,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : true, // 是否显示最小化按钮
		maximizable : true, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true
	});
	$("#parentNameId03").val(row.text);
	$("#addUserWinId").window('open');
}

function saveData1(){
	var row = $('#tt').tree('getSelected');
	var userId = $("#userNameId").combobox('getValue');
	$.getJSON(url = '/admin/org/orgAddUsers?orgId=' + row.id+"&userId="+userId, function(data) {
		$.messager.alert('提示', "添加成功！", 'info');
		closeWindow1();
		initUserList(row.id);
	});
}

function deleUser(){
	var row = $('#tt').tree('getSelected');
	var rows = $("#userListTable").datagrid('getSelected');
	$.getJSON(url = '/admin/org/delOrgUserByOrdId?orgId=' + row.id+"&userId="+rows.id, function(data) {
		$.messager.alert('提示', "删除成功！", 'info');
		closeWindow1();
		initUserList(row.id);
	});
}

function closeWindow() {
	$("#addOrgWinId").window('close');
	initData();
}

function closeWindow1() {
	$("#addUserWinId").window('close');
}

var clientWidth = document.documentElement.clientWidth;
var clientHeight = document.documentElement.clientHeight;
$(document).ready(function() {
	// 左侧div宽度
	var div_left_width = $(".panel-header").width() + 18;
	my_resize(div_left_width);
	$(window).resize(function() {
		clientHeight = document.documentElement.offsetHeight;
		clientWidth = document.documentElement.offsetWidth;
		div_left_width = $(".panel-header").width() + 18;
		my_resize(div_left_width);
	});
	// 自动适应页面大小
	function my_resize(panelWidth) {
		$("#cc").css("width", clientWidth);
		$("#cc").css("height", clientHeight);
		// $("#cc").layout('resize',{height:clientHeight,width:clientWidth});
		$('#left').panel('resize', {
			height : clientHeight,
			width : div_left_width
		});
		$('#right').panel('resize', {
			height : clientHeight,
			width : clientWidth - panelWidth
		});

		// if(top.$("#area_map_north").height() > 10 ){
		// $("#left").css("height",clientHeight-panel_header_height);
		// $("#right").css("height",clientHeight+15);
		// }else{
		// $("#left").css("height",clientHeight-panel_header_height);
		// $("#right").css("height",clientHeight);
		// }
	}

	$(".layout-button-left").hide();
	$(".layout-button-left").bind("click", function() {
		my_resize(div_left_width - 21);
		clientWidth = document.documentElement.clientWidth;
		$(".layout-button-right").bind("click", function() {
			var temp = 0 - div_left_width + 145;
			my_resize(temp);
			clientWidth = document.documentElement.clientWidth;
		});
	});
});